# Class UnixSystem

java.lang.Object
com.sun.security.auth.module.UnixSystem

public class UnixSystem extends Object
This class implementation retrieves and makes available Unix UID/GID/groups information for the current user.

Since:
  1.4

## Field Summary

Fields
Modifier and Type
Field
Description
`protected long`
`gid`
The current group ID.
`protected long[]`
`groups`
The current list of groups.
`protected long`
`uid`
The current user ID.
`protected String`
`username`
The current username.

## Constructor Summary

Constructors
Constructor
Description
`UnixSystem()`
Instantiate a `UnixSystem` and load the native library to access the underlying system information.

## Method Summary

Modifier and Type
Method
Description
`long`
`getGid()`
Get the GID for the current Unix user.
`long[]`
`getGroups()`
Get the supplementary groups for the current Unix user.
`long`
`getUid()`
Get the UID for the current Unix user.
`String`
`getUsername()`
Get the username for the current Unix user.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Field Details

### username

protected String username
The current username.

### uid

protected long uid
The current user ID.

### gid

protected long gid
The current group ID.

### groups

protected long[] groups
The current list of groups.

## Constructor Details

### UnixSystem

public UnixSystem()
Instantiate a `UnixSystem` and load the native library to access the underlying system information.

## Method Details

### getUsername

public String getUsername()
Get the username for the current Unix user.

Returns:
  the username for the current Unix user.

### getUid

public long getUid()
Get the UID for the current Unix user.

Returns:
  the UID for the current Unix user.

### getGid

public long getGid()
Get the GID for the current Unix user.

Returns:
  the GID for the current Unix user.

### getGroups

public long[] getGroups()
Get the supplementary groups for the current Unix user.

Returns:
  the supplementary groups for the current Unix user.